Forum Rule: Always post complete source code & details to reproduce any issue!
Page 4 of 4 FirstFirst ... 2 3 4
Results 76 to 92 of 92

Thread: Teensyduino 1.21 Test #2 Available

  1. #76
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    20,556
    Quote Originally Posted by Codefella View Post
    let me know if i could provide further information.
    Please try with Arduino 1.6.0 and Teensyduino 1.21-beta5.

    https://forum.pjrc.com/threads/27740...ll=1#post64839

    Arduino 1.6.0 switched to an entirely new serial library. Odds are good that will solve the problem. If not, I'd like to only pour dev work into the new JSSC library path. The old RXTX library is a dead end.

  2. #77
    Senior Member+ Theremingenieur's Avatar
    Join Date
    Feb 2014
    Location
    Colmar, France
    Posts
    2,530
    Arduino 1.6.0 and Teensyduino 1.21-beta5 work fine for me. There was still an old annoying issue which would ask me every time when I open the Arduino app if I wanted to allow incoming connections. That's an OS X problem because the original (signed) Arduino.app was modified by Teensyduino. Resigning Arduino.app with a self generated key after installing Teensyduino did the trick and the annoying dialog disappeared.

  3. #78
    Junior Member
    Join Date
    Feb 2014
    Location
    Bavaria
    Posts
    13
    Quote Originally Posted by PaulStoffregen View Post
    Please try with Arduino 1.6.0 and Teensyduino 1.21-beta5.

    https://forum.pjrc.com/threads/27740...ll=1#post64839

    Arduino 1.6.0 switched to an entirely new serial library. Odds are good that will solve the problem. If not, I'd like to only pour dev work into the new JSSC library path. The old RXTX library is a dead end.
    Still the same problem. problem also appears if opening the "Tools" menu in the arduino IDE. must be some kind of delay when checking installed com ports.
    but there's no lag when opening the serial monitor with old teensyduino version.

    i think you could reproduce the problem by installing the following driver which emulates an com port for an rs232/ethernet adapter: http://www.wut.de/download/e-00111-ww-swww-420.exe

  4. #79
    Junior Member
    Join Date
    Dec 2014
    Posts
    4
    The installer still shows that it is for Arduino ver. 1.0.5 and 1.0.6. Just a reminder to update.

  5. #80
    Did the pin33 low on boot issue get addressed in this one? https://forum.pjrc.com/threads/24823...ighlight=pin33

  6. #81
    Senior Member
    Join Date
    Oct 2012
    Location
    Portland OR
    Posts
    676

    many retries needed with Win7, 1.21-beta6

    I seem to get a lot of retries when programming Teensy 3 from Win7 with Arduino 1.0.6 / Teensyduino 1.21-beta6 before the programming finally completes. A few times it has stopped midway with an error, but re-trying then succeeds.

    Code:
    teensy_reboot, verbose mode
    Device Instance: 2048
      DeviceRegistryProperty: acquired
      Key type: REG_MULTI_SZ
        property: USB\VID_16C0&PID_0483&REV_0100
        property: USB\VID_16C0&PID_0483
      Registry Key: acquired
      PortName: "COM23"
      pathname: \\.\COM23
    add_serial_name, \\.\COM23
    trying port 3149
    found Teensy Loader, version 1.21
    send: status - at Sat Feb 28 09:35:52 2015
    do_reset (serial) \\.\COM23
    send: status - at Sat Feb 28 09:35:52 2015
    status read, retry 0
    send: status - at Sat Feb 28 09:35:52 2015
    status read, retry 1
    send: status - at Sat Feb 28 09:35:52 2015
    status read, retry 2
    send: status - at Sat Feb 28 09:35:53 2015
    status read, retry 3
    send: status - at Sat Feb 28 09:35:53 2015
    status read, retry 4
    send: status - at Sat Feb 28 09:35:53 2015
    status read, retry 5
    send: status - at Sat Feb 28 09:35:53 2015
    status read, retry 6
    Success

  7. #82
    Senior Member
    Join Date
    Nov 2012
    Posts
    136
    @PaulStoffregen

    Unfortunately, the installer of Teensyduino 1.21 Test #2 doesn't detect Arduino 1.6.0 on Mac OS X.

  8. #83
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    20,556
    Delete that old "-test2" copy. Five more have been published since them. Get the latest, which works great with Arduino 1.6.0:

    https://forum.pjrc.com/threads/27740...ll=1#post66275

  9. #84
    Senior Member
    Join Date
    Nov 2012
    Posts
    136
    Thank you!

  10. #85
    Junior Member
    Join Date
    Feb 2015
    Posts
    5
    I am having this issue too. sprintf stopped working with the 1.21 test#2. Any way to fix?

    Thanks, Chip

  11. #86
    Senior Member
    Join Date
    Nov 2012
    Posts
    1,154
    sprintf of float and double now work with beta8 and 1.6.0 on a Teensy 3.1 (see the test code in #14) but neither of them work on T3.0 or T-LC

    Pete
    Last edited by el_supremo; 03-07-2015 at 03:41 PM. Reason: add info

  12. #87
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    20,556
    Look in Tools > CPU Speed. 1.21-beta8 has new choices, to optimize for speed or code size.

    The small code size settings default to a printf and scanf without floating point. But there's a trick to get the float versions:

    https://forum.pjrc.com/threads/27827...-on-Teensy-3-1

  13. #88
    Senior Member
    Join Date
    Nov 2012
    Posts
    1,154
    That fixed it! Thanks Paul.

    Pete

  14. #89
    Senior Member
    Join Date
    Jun 2013
    Location
    So. Calif
    Posts
    2,828
    Quote Originally Posted by PaulStoffregen View Post
    Look in Tools > CPU Speed. 1.21-beta8 has new choices, to optimize for speed or code size.

    The small code size settings default to a printf and scanf without floating point. But there's a trick to get the float versions:

    https://forum.pjrc.com/threads/27827...-on-Teensy-3-1
    can the IDE have a GUI to enable big printf, along with compiler optimization choices?

  15. #90
    I just installed Arduino 1.6.1 and downloaded teensy 1.21-beta8.

    But when I try to install I get a popup with supported arduino Versions and there is this error

    Code:
    Directory: C:/Program Files (x86)/Arduino/
      Checking Arduino 1.0.5:
        file: "arduino.exe"  present
        file: "rxtxSerial.dll"  missing
        Does not match Arduino 1.0.5
      Checking Arduino 1.0.6:
        file: "arduino.exe"  present
        file: "rxtxSerial.dll"  missing
        Does not match Arduino 1.0.6
      Checking Arduino 1.6.0:
        file: "arduino.exe"  present
        file: "arduino_debug.exe"  present
        file: "lib/jssc-2.8.0.jar"  present
        file: "hardware/arduino/avr/boards.txt"  present
        file: "hardware/arduino/avr/platform.txt"  present
        dir: "hardware/arduino/avr/cores/arduino"  present
        file: "hardware/arduino/sam/boards.txt"  present
        file: "hardware/arduino/sam/platform.txt"  present
        dir: "hardware/tools/gcc-arm-none-eabi-4.8.3-2014q1"  present
        dir: "libraries"  present
        dir: "examples"  present
        java: "lib/pde.jar" object: "processing/app/Base.class" wrong size, unsupported Arduino version
        Does not match Arduino 1.6.0
      Checking Arduino 1.6.1:
        file: "arduino.exe"  present
        file: "arduino_debug.exe"  present
        file: "lib/jssc-2.8.0.jar"  present
        file: "hardware/arduino/avr/boards.txt"  present
        file: "hardware/arduino/avr/platform.txt"  present
        dir: "hardware/arduino/avr/cores/arduino"  present
        file: "hardware/arduino/sam/boards.txt"  present
        file: "hardware/arduino/sam/platform.txt"  present
        dir: "hardware/tools/gcc-arm-none-eabi-4.8.3-2014q1"  present
        dir: "libraries"  present
        dir: "examples"  present
        java: "lib/pde.jar" object: "processing/app/Base.class" wrong size, unsupported Arduino version
        Does not match Arduino 1.6.1
    I'm Using Windows 8.1 X64

  16. #91
    Senior Member PaulStoffregen's Avatar
    Join Date
    Nov 2012
    Posts
    20,556
    How'd you download beta8? I left the files on the server, but removed the all links. Or at least I thought I removed all the old links.

    We're on beta10 now, and there's a known issue where it's only recognizing the Windows ZIP file for 1.6.1, but not the EXE installer version. Tuesday's 1.6.1 release was the first Arduino has ever published different files in the 2 Windows downloads! I'm working on a fix today.

    If you want to try now, use beta10 and the Windows ZIP file version.

  17. #92
    Quote Originally Posted by PaulStoffregen View Post
    How'd you download beta8? I left the files on the server, but removed the all links. Or at least I thought I removed all the old links.

    We're on beta10 now, and there's a known issue where it's only recognizing the Windows ZIP file for 1.6.1, but not the EXE installer version. Tuesday's 1.6.1 release was the first Arduino has ever published different files in the 2 Windows downloads! I'm working on a fix today.

    If you want to try now, use beta10 and the Windows ZIP file version.
    you were right it was the beta 10 and yes it gives the error.

    I wait for the fix on the exe file

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •